{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "metadata": {}
   },
   "outputs": [
    {
     "data": {
      "image/png": "[encoded data, 4968552 characters]",
      "text/plain": [
       "<Figure size 2400x1600 with 9 Axes>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "from editor.training import random_edit\n",
    "from editor.visualisation import display_images\n",
    "from editor.training import HistogramDataset\n",
    "from config import DATA\n",
    "\n",
    "\n",
    "dataset = HistogramDataset(DATA, target_size=(640, 640))\n",
    "img = dataset.get_original_image(0)\n",
    "\n",
    "edits = {\"Original\": img}\n",
    "edits.update({f\"Edit {i}\": random_edit(img.copy(), seed=i) for i in range(1, 9)})\n",
    "\n",
    "display_images(edits)"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "bipolaroid",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.2"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
